Update unit
Updates specific fields on a unit. Only fields included in the request body are modified.
Path Parameters
- Type: stringunit
_id requiredUnique identifier of the unit.
Body
application/json
- Type: array object[]canvas
_mappings Replace the unit's Canvas mappings. Each entry must include the mapping
idwhen editing an existing mapping. Omitsis_idorcanvas_idto leave them unchanged. - enumcanvas
_mappings _clear const:1Pass
"1"to remove all Canvas mappings from the unit.values- 1
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for patch/apis/units/units/{unit_id}
curl https://ff-business-school.fullfabric.cloud/apis/units/units/507f1f77bcf86cd799439011 \
--request PATCH \
--header 'Content-Type: application/json' \
--header 'FF-Auth: YOUR_SECRET_TOKEN' \
--data '{
"canvas_mappings": [
{
"id": "",
"sis_id": "",
"canvas_id": ""
}
],
"canvas_mappings_clear": "1"
}'
{
"id": "6385baad976a7719120008e3",
"external_id": "CF101-EXT",
"course_id": "6385baad976a7719120008ca",
"course_name": "Corporate Finance",
"code": "CF101",
"name": "Corporate Finance",
"custom_name": "April 2025",
"price_currency": "EUR",
"price_amount": 600,
"created_at": 1669708461,
"updated_at": 1776330815,
"campuses": [
{
"id": "5ff317ba9a52af08c10009ca",
"name": "London"
}
],
"owner_id": "6385baa4976a771912000511",
"opens_on": 1711929600,
"closes_on": 1714521600,
"starts_on": 1714608000,
"ends_on": 1717200000,
"state": "open",
"state_auto_mode": true,
"minimum_capacity": 10,
"maximum_capacity": 40,
"target_capacity": 30,
"instance_count": 1,
"lecturer_ids": [
"6385baad976a771912000894"
],
"guest_lecturer_ids": [],
"synopsis": "A comprehensive introduction to corporate valuation, capital structure, and financial decision-making.",
"epilogue": null,
"language": "English",
"sessions": [
{
"id": "6385baad976a7719120008e4",
"room": "Room 301",
"location": "London Campus",
"schedule": "default",
"starts_on": 1714608000,
"lecturer_ids": [
"6385baad976a771912000894"
],
"guest_lecturer_ids": [],
"approval_status": "approved"
}
],
"canvas_mappings": []
}